import requests
import json

url = "https://c.m.163.com/ug/api/wuhan/app/data/list-total"  # 定义要访问的地址
headers = {
    'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36'}
r = requests.get(url, headers=headers)
data_json = json.loads(r.text)
data_json.keys()
province_list=data_json['data']['areaTree'][2]['children']
pro=list()
for province in province_list:
    pro_dict=dict()
    pro_dict['name']=province['name'] #省份名称
    pro_dict['confirm']=province['total']['confirm'] # 总确诊
    pro_dict['heal']=province['total']['heal']  #总康复
    pro_dict['dead']=province['total']['dead'] #总死亡
    pro_dict['nowConfirm']=pro_dict['confirm']-pro_dict['heal']-pro_dict['dead'] #现有确诊
    pro.append(pro_dict)
print(pro)


from pyecharts.charts import Map
from pyecharts import options as opts
def qg():
    provinces=[]
    for p in pro:
        provinces.append((str(p['name']), p['confirm']))

    map_p = Map()
    map_p.set_global_opts(title_opts=opts.TitleOpts(title='新冠肺炎疫情'), visualmap_opts=opts.VisualMapOpts(max_=10000))

    map_p.add('', provinces, maptype='china')
    map_p.render('全国疫情.html')
    map_p.render_notebook()


def zj():
    cities = list()
    for province in province_list:
        if province['name'] == '浙江':
            cities = province['children']
    cityLi = []
    for k in cities:
        name = k['name']
        confirm = k['total']['confirm']
        cityLi.append((name + '市', confirm))

    map_zj = Map()
    map_zj.set_global_opts(
        title_opts=opts.TitleOpts(title='浙江省内新冠肺炎疫情'), visualmap_opts=opts.VisualMapOpts(max_=1000))
    map_zj.add('', cityLi, '浙江')
    map_zj.render('浙江疫情.html')
    map_zj.render_notebook()


if __name__ == '__main__':
    qg()
    zj()